Money Item endpoint

The Money Item endpoint and fields are described below including details of the supported RESTful CRUD verbs. For details of the conventions of the API see the general conventions.

Endpoint path prefix:

/n/v1/moneyitem/

moneyitem was introduced in API version V1

Money Item has not been marked for deprecation

See Money Item for representation details.

Description

Monetary value items endpoint used for creating money values associated with a content entity.

Verbs / methods

This endpoint supports the following CRUD operations in line with our API conventions. See the conventions section for more details.

CREATE HTTP POST

Request payload

Money Item reference

{
  "name" : "price",
  "sortOrder" : 0,
  "currencyCode" : "GBP",
  "unitValue" : 2500,
  "entity" : {
    "urn" : "4fdf15cf-cfa3-4b43-9e92-57dfbbc0366d",
    "url" : "/n/v1/entity/4fdf15cf-cfa3-4b43-9e92-57dfbbc0366d"
  },
  "formattedValue" : "25.00",
  "currencySymbol" : "£"
}

Response payload

Money Item reference

{
  "urn" : "df30637a-c46b-4c67-bdaf-b6c3ba8c9034",
  "name" : "price",
  "sortOrder" : 0,
  "currencyCode" : "GBP",
  "unitValue" : 2500,
  "entity" : {
    "urn" : "4fdf15cf-cfa3-4b43-9e92-57dfbbc0366d",
    "url" : "/n/v1/entity/4fdf15cf-cfa3-4b43-9e92-57dfbbc0366d"
  },
  "formattedValue" : "25.00",
  "currencySymbol" : "£"
}

Response codes / scenarios

  • INVALID_REPRESENTATION

    API code INVALID_REPRESENTATION HTTP status code 400 : When creating or updating a representation and the provided representation is invalid. May include an error representation with details of the issue

  • REPRESENTATION_MISSING_REQUIRED_FIELD

    API code REPRESENTATION_MISSING_REQUIRED_FIELD HTTP status code 400 : When creating or updating a representation the provided representation was missing a required filed. Typically has a error response representation with details of the missing required field.

  • CREATE_SUCCESS

    API code CREATE_SUCCESS HTTP status code 201 : When the representation provided was successfully created return HTTP created (201). Note that when other context like authorisation and permissions are satisfied but the representation is invalid or missing required information typically a error representation with details of the missing information may be returned instead with REPRESENTATION_MISSING_REQUIRED_FIELD api error for example

READ HTTP GET

Response example

Money Item

{
  "urn" : "df30637a-c46b-4c67-bdaf-b6c3ba8c9034",
  "name" : "price",
  "sortOrder" : 0,
  "currencyCode" : "GBP",
  "unitValue" : 2500,
  "entity" : {
    "urn" : "4fdf15cf-cfa3-4b43-9e92-57dfbbc0366d",
    "url" : "/n/v1/entity/4fdf15cf-cfa3-4b43-9e92-57dfbbc0366d"
  },
  "formattedValue" : "25.00",
  "currencySymbol" : "£"
}

Response codes / scenarios

  • NOT_FOUND

    API code NOT_FOUND HTTP status code 404 : When the request referenced a representation or a concept that was not found including other request context requirements. Note that if a request is missing other concepts including authorisation, permissions or restrictions on the visibility HTTP not found (404) will typically be returned. Note that when creating a representation if the owner or other references can't be resolved the endpoint may return not found.

  • READ_SUCCESS

    API code READ_SUCCESS HTTP status code 200 : On read when the request is successful. The returned representation is given with the relevant 2XX HTTP code without further detail.

UPDATE HTTP PUT

Response codes / scenarios

  • INVALID_REPRESENTATION

    API code INVALID_REPRESENTATION HTTP status code 400 : When creating or updating a representation and the provided representation is invalid. May include an error representation with details of the issue

  • REPRESENTATION_MISSING_REQUIRED_FIELD

    API code REPRESENTATION_MISSING_REQUIRED_FIELD HTTP status code 400 : When creating or updating a representation the provided representation was missing a required filed. Typically has a error response representation with details of the missing required field.

  • NOT_FOUND

    API code NOT_FOUND HTTP status code 404 : When the request referenced a representation or a concept that was not found including other request context requirements. Note that if a request is missing other concepts including authorisation, permissions or restrictions on the visibility HTTP not found (404) will typically be returned. Note that when creating a representation if the owner or other references can't be resolved the endpoint may return not found.

  • UPDATE_SUCCESS

    API code UPDATE_SUCCESS HTTP status code 202 : When creation was successful and the representation was created. Returns HTTP accepted (202) response and typically includes the representation of the created representation for reference. Note that CREATE / UPDATE can trigger async operations after the representation is accepted which can update state.

DELETE HTTP DELETE

Response codes / scenarios

  • NOT_FOUND

    API code NOT_FOUND HTTP status code 404 : When the request referenced a representation or a concept that was not found including other request context requirements. Note that if a request is missing other concepts including authorisation, permissions or restrictions on the visibility HTTP not found (404) will typically be returned. Note that when creating a representation if the owner or other references can't be resolved the endpoint may return not found.

  • DELETE_SUCCESS

    API code DELETE_SUCCESS HTTP status code 202 : When deletion of a representation was successful. Note that returns HTTP accepted (202) to represent the success of the deletion state transfer rather than HTTP gone (410) as 4XX represent client errors for semantic consistency